Bug 1394923 - Review Request: golang-github-fortytw2-leaktest - Goroutine Leak Detector
Summary: Review Request: golang-github-fortytw2-leaktest - Goroutine Leak Detector
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-14 18:38 UTC by Athos Ribeiro
Modified: 2017-04-04 16:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-04 16:03:07 UTC
Type: ---
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Athos Ribeiro 2016-11-14 18:38:39 UTC
Spec URL: https://athoscr.fedorapeople.org/packaging/golang-github-fortytw2-leaktest.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/golang-github-fortytw2-leaktest-0-0.1.git0db74e8.fc26.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=16451348

Description:
Refactored, tested variant of the goroutine leak detector found in both net/http tests and the cockroachdb source tree.

Fedora Account System Username: athoscr

Comment 1 Athos Ribeiro 2017-03-16 00:14:27 UTC
New sources with some improvements

Spec URL:https://athoscr.fedorapeople.org/packaging/golang-github-fortytw2-leaktest.spec
SRPM URLhttps://athoscr.fedorapeople.org/packaging/golang-github-fortytw2-leaktest-0-0.2.git0db74e8.fc25.src.rpm
koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=18404984

Comment 2 Fabio Valentini 2017-03-18 14:04:18 UTC
Taking this review.

Comment 3 Fabio Valentini 2017-03-18 14:33:39 UTC
Looks like a pretty standard golang package to me - .spec file looks good, all tests pass, koji scratch build succeeds, license is correct and OK. Package approved.

Comment 4 Athos Ribeiro 2017-03-18 14:37:35 UTC
Thank you for the review, Fabio!

Comment 5 Gwyn Ciesla 2017-03-20 12:57:55 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-fortytw2-leaktest

Comment 6 Fedora Update System 2017-03-20 14:26:24 UTC
golang-github-fortytw2-leaktest-0-0.2.git0db74e8.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-289a8cc22f

Comment 7 Fedora Update System 2017-03-21 14:25:02 UTC
golang-github-fortytw2-leaktest-0-0.2.git0db74e8.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-289a8cc22f

Comment 8 Fedora Update System 2017-04-04 16:03:07 UTC
golang-github-fortytw2-leaktest-0-0.2.git0db74e8.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.